package com.sagacloud.pojo;
/*
 * Author: Jxing
 * Create Time: 2019/3/13
 */

public class HBaseTable {
    private String database;
    private String datatable;
    private String projectId;
    private boolean votn;   // true的时候, 将虚拟对象的信息点删除到只保留最新的一条

    public boolean isVotn() {
        return votn;
    }

    public void setVotn(boolean votn) {
        this.votn = votn;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getDatabase() {
        return database;
    }

    public void setDatabase(String database) {
        this.database = database;
    }

    public String getDatatable() {
        return datatable;
    }

    public void setDatatable(String datatable) {
        this.datatable = datatable;
    }

    public static boolean getInfo(String[] args, HBaseTable tableInfo) {
        boolean hasDatabaseName = false, hasDatatableName = true;
        tableInfo.datatable = "obj_infos";
        try {
            for (int i = 0; i < args.length; ++i) {
                if (args[i].equals("-t") || args[i].equals("-table") || args[i].equals("-datatable") ) {
                    tableInfo.datatable = args[++i];
                }else if(args[i].equals("-b") || args[i].equals("-database")){
                    tableInfo.database = args[++i];
                    hasDatabaseName = true;
                }else if(args[i].equals("-p") || args[i].equals("-project")){
                    tableInfo.projectId = args[++i];
                }else if(args[i].equals("-votn")){
                    tableInfo.votn = true;
                }
            }
        }catch (Exception ex){
            return false;
        }
        return hasDatabaseName;
    }
}
